Bug 630216 - (ghc-vector-space) Review Request: ghc-vector-space - Vector & affine spaces, linear maps, and derivatives
Review Request: ghc-vector-space - Vector & affine spaces, linear maps, and d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 630213 630215
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 23:47 EDT by Ben Boeckel
Modified: 2011-10-13 00:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-vector-space-0.7.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-12 20:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-03 23:47:11 EDT
Spec URL: http://benboeckel.net/packaging/ghc-vector-space/ghc-vector-space.spec
SRPM URL: http://benboeckel.net/packaging/ghc-vector-space/ghc-vector-space-0.5.9-1.fc14.src.rpm
Description:
Classes and generic operations for
vector spaces and affine spaces. It also defines a type of
infinite towers of generalized derivatives. A generalized
derivative is a linear transformation rather than one of the
common concrete representations (scalars, vectors, matrices,
...).

% lintmock fedora-14-x86_64-bb
ghc-vector-space.src: W: strange-permission vector-space-0.5.9.tar.gz 0640L
ghc-vector-space.src: W: strange-permission ghc-vector-space.spec 0640L
ghc-vector-space.x86_64: W: no-documentation
ghc-vector-space-prof.x86_64: E: devel-dependency ghc-vector-space-devel
ghc-vector-space-prof.x86_64: W: no-documentation
ghc-vector-space-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/vector-space-0.5.9/libHSvector-space-0.5.9_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 1 Ben Boeckel 2010-09-04 00:19:26 EDT
Spec URL:
http://benboeckel.net/packaging/ghc-vector-space/ghc-vector-space.spec
SRPM URL:
http://benboeckel.net/packaging/ghc-vector-space/ghc-vector-space-0.7.2-1.fc14.src.rpm

Updated to a release which includes the license.

% lintmock fedora-14-x86_64-bb                                                   -
ghc-vector-space.src: W: strange-permission vector-space-0.7.2.tar.gz 0640L
ghc-vector-space.src: W: strange-permission ghc-vector-space.spec 0640L
qghc-vector-space-prof.x86_64: E: devel-dependency ghc-vector-space-devel
qghc-vector-space-prof.x86_64: W: no-documentation
ghc-vector-space-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/vector-space-0.7.2/libHSvector-space-0.7.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 2 Narasimhan 2011-01-29 03:07:07 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -i ghc-vector-space-*.rpm ../ghc-vector-space.spec 
ghc-vector-space.src: W: strange-permission vector-space-0.7.2.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-vector-space-prof.x86_64: E: devel-dependency ghc-vector-space-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-vector-space-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-vector-space-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/vector-space-0.7.2/libHSvector-space-0.7.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 3 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3 clause. LICENSE text is included in COPYING file.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, yes template generated by cabal2spec-0.22.2. Please update to 0.22.4 version
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD 3 clause license. 
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
License text in COPYING file.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum vector-space-0.7.2.tar.gz 
b1bf37f8c2801a43aceab649b6c6aaab  vector-space-0.7.2.tar.gz

md5sum ghc-vector-space-0.7.2-1.fc14.src/vector-space-0.7.2.tar.gz 
b1bf37f8c2801a43aceab649b6c6aaab  ghc-vector-space-0.7.2-1.fc14.src/vector-space-0.7.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation in devel package.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
checked with ls -lR
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-vector-space
error: Failed dependencies:
	ghc-vector-space = 0.7.2-1.fc14 is needed by (installed) ghc-vector-space-devel-0.7.2-1.fc14.x86_64

rpm -e ghc-vector-space-devel
error: Failed dependencies:
	ghc-vector-space-devel = 0.7.2-1.fc14 is needed by (installed) ghc-vector-space-prof-0.7.2-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
checked with rpmquery --list
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Imported module Data.AdditiveGroup into ghci. Works fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Ben Boeckel 2011-05-10 21:02:46 EDT
New Package SCM Request
=======================
Package Name: ghc-vector-space
Short Description: Vector & affine spaces, linear maps, and derivatives
Owners: mathstuf
Branches: f14 f15
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2011-05-12 12:37:03 EDT
Git done (by process-git-requests).
Comment 5 Jens Petersen 2011-06-15 02:24:37 EDT
Ping?
Comment 6 Jens Petersen 2011-06-27 23:29:13 EDT
Not sure if this library is still needed?

http://packdeps.haskellers.com/reverse/vector-space

vty no longer does anyway.
Comment 7 Fedora Update System 2011-10-03 05:35:22 EDT
ghc-vector-space-0.7.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-vector-space-0.7.6-1.fc15
Comment 8 Fedora Update System 2011-10-03 05:35:30 EDT
ghc-vector-space-0.7.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-vector-space-0.7.6-1.fc14
Comment 9 Fedora Update System 2011-10-03 05:35:39 EDT
ghc-vector-space-0.7.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-vector-space-0.7.6-1.fc16
Comment 10 Fedora Update System 2011-10-03 13:46:56 EDT
Package ghc-vector-space-0.7.6-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-vector-space-0.7.6-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ghc-vector-space-0.7.6-1.fc16
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-10-12 20:48:00 EDT
ghc-vector-space-0.7.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-10-12 20:49:42 EDT
ghc-vector-space-0.7.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-10-13 00:39:18 EDT
ghc-vector-space-0.7.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.